------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2011-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2928 $ $Date: 2012-05-01 12:43:19 +0400 (Tue, 01 May 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.Standard_Profile_L2_Metamodel is

   ------------------------------------------------
   -- MM_Standard_Profile_L2_Standard_Profile_L2 --
   ------------------------------------------------

   function MM_Standard_Profile_L2_Standard_Profile_L2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MM_Standard_Profile_L2_Standard_Profile_L2;

   --------------------------------------
   -- MC_Standard_Profile_L2_Auxiliary --
   --------------------------------------

   function MC_Standard_Profile_L2_Auxiliary return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_Standard_Profile_L2_Auxiliary;

   ---------------------------------
   -- MC_Standard_Profile_L2_Call --
   ---------------------------------

   function MC_Standard_Profile_L2_Call return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_Standard_Profile_L2_Call;

   -----------------------------------
   -- MC_Standard_Profile_L2_Create --
   -----------------------------------

   function MC_Standard_Profile_L2_Create return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_Standard_Profile_L2_Create;

   -----------------------------------
   -- MC_Standard_Profile_L2_Derive --
   -----------------------------------

   function MC_Standard_Profile_L2_Derive return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_Standard_Profile_L2_Derive;

   ------------------------------------
   -- MC_Standard_Profile_L2_Destroy --
   ------------------------------------

   function MC_Standard_Profile_L2_Destroy return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_Standard_Profile_L2_Destroy;

   -------------------------------------
   -- MC_Standard_Profile_L2_Document --
   -------------------------------------

   function MC_Standard_Profile_L2_Document return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_Standard_Profile_L2_Document;

   -----------------------------------
   -- MC_Standard_Profile_L2_Entity --
   -----------------------------------

   function MC_Standard_Profile_L2_Entity return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_Standard_Profile_L2_Entity;

   ---------------------------------------
   -- MC_Standard_Profile_L2_Executable --
   ---------------------------------------

   function MC_Standard_Profile_L2_Executable return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_Standard_Profile_L2_Executable;

   ---------------------------------
   -- MC_Standard_Profile_L2_File --
   ---------------------------------

   function MC_Standard_Profile_L2_File return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_Standard_Profile_L2_File;

   ----------------------------------
   -- MC_Standard_Profile_L2_Focus --
   ----------------------------------

   function MC_Standard_Profile_L2_Focus return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_Standard_Profile_L2_Focus;

   --------------------------------------
   -- MC_Standard_Profile_L2_Framework --
   --------------------------------------

   function MC_Standard_Profile_L2_Framework return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_Standard_Profile_L2_Framework;

   --------------------------------------
   -- MC_Standard_Profile_L2_Implement --
   --------------------------------------

   function MC_Standard_Profile_L2_Implement return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_Standard_Profile_L2_Implement;

   -------------------------------------------------
   -- MC_Standard_Profile_L2_Implementation_Class --
   -------------------------------------------------

   function MC_Standard_Profile_L2_Implementation_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_Standard_Profile_L2_Implementation_Class;

   ----------------------------------------
   -- MC_Standard_Profile_L2_Instantiate --
   ----------------------------------------

   function MC_Standard_Profile_L2_Instantiate return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_Standard_Profile_L2_Instantiate;

   ------------------------------------
   -- MC_Standard_Profile_L2_Library --
   ------------------------------------

   function MC_Standard_Profile_L2_Library return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_Standard_Profile_L2_Library;

   --------------------------------------
   -- MC_Standard_Profile_L2_Metaclass --
   --------------------------------------

   function MC_Standard_Profile_L2_Metaclass return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_Standard_Profile_L2_Metaclass;

   ------------------------------------------
   -- MC_Standard_Profile_L2_Model_Library --
   ------------------------------------------

   function MC_Standard_Profile_L2_Model_Library return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_Standard_Profile_L2_Model_Library;

   ------------------------------------
   -- MC_Standard_Profile_L2_Process --
   ------------------------------------

   function MC_Standard_Profile_L2_Process return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_Standard_Profile_L2_Process;

   ----------------------------------------
   -- MC_Standard_Profile_L2_Realization --
   ----------------------------------------

   function MC_Standard_Profile_L2_Realization return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_Standard_Profile_L2_Realization;

   -----------------------------------
   -- MC_Standard_Profile_L2_Refine --
   -----------------------------------

   function MC_Standard_Profile_L2_Refine return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_Standard_Profile_L2_Refine;

   -------------------------------------------
   -- MC_Standard_Profile_L2_Responsibility --
   -------------------------------------------

   function MC_Standard_Profile_L2_Responsibility return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_Standard_Profile_L2_Responsibility;

   -----------------------------------
   -- MC_Standard_Profile_L2_Script --
   -----------------------------------

   function MC_Standard_Profile_L2_Script return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MC_Standard_Profile_L2_Script;

   ---------------------------------
   -- MC_Standard_Profile_L2_Send --
   ---------------------------------

   function MC_Standard_Profile_L2_Send return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MC_Standard_Profile_L2_Send;

   ------------------------------------
   -- MC_Standard_Profile_L2_Service --
   ------------------------------------

   function MC_Standard_Profile_L2_Service return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MC_Standard_Profile_L2_Service;

   -----------------------------------
   -- MC_Standard_Profile_L2_Source --
   -----------------------------------

   function MC_Standard_Profile_L2_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MC_Standard_Profile_L2_Source;

   ------------------------------------------
   -- MC_Standard_Profile_L2_Specification --
   ------------------------------------------

   function MC_Standard_Profile_L2_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MC_Standard_Profile_L2_Specification;

   --------------------------------------
   -- MC_Standard_Profile_L2_Subsystem --
   --------------------------------------

   function MC_Standard_Profile_L2_Subsystem return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MC_Standard_Profile_L2_Subsystem;

   ----------------------------------
   -- MC_Standard_Profile_L2_Trace --
   ----------------------------------

   function MC_Standard_Profile_L2_Trace return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MC_Standard_Profile_L2_Trace;

   ---------------------------------
   -- MC_Standard_Profile_L2_Type --
   ---------------------------------

   function MC_Standard_Profile_L2_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MC_Standard_Profile_L2_Type;

   ------------------------------------
   -- MC_Standard_Profile_L2_Utility --
   ------------------------------------

   function MC_Standard_Profile_L2_Utility return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MC_Standard_Profile_L2_Utility;

   -------------------------------------------------
   -- MP_Standard_Profile_L2_Auxiliary_Base_Class --
   -------------------------------------------------

   function MP_Standard_Profile_L2_Auxiliary_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MP_Standard_Profile_L2_Auxiliary_Base_Class;

   --------------------------------------------
   -- MP_Standard_Profile_L2_Call_Base_Usage --
   --------------------------------------------

   function MP_Standard_Profile_L2_Call_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MP_Standard_Profile_L2_Call_Base_Usage;

   -----------------------------------------------------------
   -- MP_Standard_Profile_L2_Create_Base_Behavioral_Feature --
   -----------------------------------------------------------

   function MP_Standard_Profile_L2_Create_Base_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MP_Standard_Profile_L2_Create_Base_Behavioral_Feature;

   ----------------------------------------------
   -- MP_Standard_Profile_L2_Create_Base_Usage --
   ----------------------------------------------

   function MP_Standard_Profile_L2_Create_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MP_Standard_Profile_L2_Create_Base_Usage;

   ----------------------------------------------------
   -- MP_Standard_Profile_L2_Derive_Base_Abstraction --
   ----------------------------------------------------

   function MP_Standard_Profile_L2_Derive_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MP_Standard_Profile_L2_Derive_Base_Abstraction;

   -----------------------------------------------
   -- MP_Standard_Profile_L2_Derive_Computation --
   -----------------------------------------------

   function MP_Standard_Profile_L2_Derive_Computation return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MP_Standard_Profile_L2_Derive_Computation;

   ------------------------------------------------------------
   -- MP_Standard_Profile_L2_Destroy_Base_Behavioral_Feature --
   ------------------------------------------------------------

   function MP_Standard_Profile_L2_Destroy_Base_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MP_Standard_Profile_L2_Destroy_Base_Behavioral_Feature;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Document_Base_Artifact --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Document_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MP_Standard_Profile_L2_Document_Base_Artifact;

   --------------------------------------------------
   -- MP_Standard_Profile_L2_Entity_Base_Component --
   --------------------------------------------------

   function MP_Standard_Profile_L2_Entity_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MP_Standard_Profile_L2_Entity_Base_Component;

   -----------------------------------------------------
   -- MP_Standard_Profile_L2_Executable_Base_Artifact --
   -----------------------------------------------------

   function MP_Standard_Profile_L2_Executable_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MP_Standard_Profile_L2_Executable_Base_Artifact;

   -----------------------------------------------
   -- MP_Standard_Profile_L2_File_Base_Artifact --
   -----------------------------------------------

   function MP_Standard_Profile_L2_File_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MP_Standard_Profile_L2_File_Base_Artifact;

   ---------------------------------------------
   -- MP_Standard_Profile_L2_Focus_Base_Class --
   ---------------------------------------------

   function MP_Standard_Profile_L2_Focus_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MP_Standard_Profile_L2_Focus_Base_Class;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Framework_Base_Package --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Framework_Base_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MP_Standard_Profile_L2_Framework_Base_Package;

   -----------------------------------------------------
   -- MP_Standard_Profile_L2_Implement_Base_Component --
   -----------------------------------------------------

   function MP_Standard_Profile_L2_Implement_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MP_Standard_Profile_L2_Implement_Base_Component;

   ------------------------------------------------------------
   -- MP_Standard_Profile_L2_Implementation_Class_Base_Class --
   ------------------------------------------------------------

   function MP_Standard_Profile_L2_Implementation_Class_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MP_Standard_Profile_L2_Implementation_Class_Base_Class;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Instantiate_Base_Usage --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Instantiate_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MP_Standard_Profile_L2_Instantiate_Base_Usage;

   --------------------------------------------------
   -- MP_Standard_Profile_L2_Library_Base_Artifact --
   --------------------------------------------------

   function MP_Standard_Profile_L2_Library_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MP_Standard_Profile_L2_Library_Base_Artifact;

   -------------------------------------------------
   -- MP_Standard_Profile_L2_Metaclass_Base_Class --
   -------------------------------------------------

   function MP_Standard_Profile_L2_Metaclass_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_Standard_Profile_L2_Metaclass_Base_Class;

   -------------------------------------------------------
   -- MP_Standard_Profile_L2_Model_Library_Base_Package --
   -------------------------------------------------------

   function MP_Standard_Profile_L2_Model_Library_Base_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_Standard_Profile_L2_Model_Library_Base_Package;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Process_Base_Component --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Process_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_Standard_Profile_L2_Process_Base_Component;

   --------------------------------------------------------
   -- MP_Standard_Profile_L2_Realization_Base_Classifier --
   --------------------------------------------------------

   function MP_Standard_Profile_L2_Realization_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_Standard_Profile_L2_Realization_Base_Classifier;

   ----------------------------------------------------
   -- MP_Standard_Profile_L2_Refine_Base_Abstraction --
   ----------------------------------------------------

   function MP_Standard_Profile_L2_Refine_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_Standard_Profile_L2_Refine_Base_Abstraction;

   ------------------------------------------------------
   -- MP_Standard_Profile_L2_Responsibility_Base_Usage --
   ------------------------------------------------------

   function MP_Standard_Profile_L2_Responsibility_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_Standard_Profile_L2_Responsibility_Base_Usage;

   -------------------------------------------------
   -- MP_Standard_Profile_L2_Script_Base_Artifact --
   -------------------------------------------------

   function MP_Standard_Profile_L2_Script_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_Standard_Profile_L2_Script_Base_Artifact;

   --------------------------------------------
   -- MP_Standard_Profile_L2_Send_Base_Usage --
   --------------------------------------------

   function MP_Standard_Profile_L2_Send_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_Standard_Profile_L2_Send_Base_Usage;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Service_Base_Component --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Service_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_Standard_Profile_L2_Service_Base_Component;

   -------------------------------------------------
   -- MP_Standard_Profile_L2_Source_Base_Artifact --
   -------------------------------------------------

   function MP_Standard_Profile_L2_Source_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_Standard_Profile_L2_Source_Base_Artifact;

   ----------------------------------------------------------
   -- MP_Standard_Profile_L2_Specification_Base_Classifier --
   ----------------------------------------------------------

   function MP_Standard_Profile_L2_Specification_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_Standard_Profile_L2_Specification_Base_Classifier;

   -----------------------------------------------------
   -- MP_Standard_Profile_L2_Subsystem_Base_Component --
   -----------------------------------------------------

   function MP_Standard_Profile_L2_Subsystem_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_Standard_Profile_L2_Subsystem_Base_Component;

   ---------------------------------------------------
   -- MP_Standard_Profile_L2_Trace_Base_Abstraction --
   ---------------------------------------------------

   function MP_Standard_Profile_L2_Trace_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_Standard_Profile_L2_Trace_Base_Abstraction;

   --------------------------------------------
   -- MP_Standard_Profile_L2_Type_Base_Class --
   --------------------------------------------

   function MP_Standard_Profile_L2_Type_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_Standard_Profile_L2_Type_Base_Class;

   -----------------------------------------------
   -- MP_Standard_Profile_L2_Utility_Base_Class --
   -----------------------------------------------

   function MP_Standard_Profile_L2_Utility_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_Standard_Profile_L2_Utility_Base_Class;

   -------------------------------------------------------------
   -- MA_Standard_Profile_L2_Focus_Extension_Focus_Base_Class --
   -------------------------------------------------------------

   function MA_Standard_Profile_L2_Focus_Extension_Focus_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MA_Standard_Profile_L2_Focus_Extension_Focus_Base_Class;

   -------------------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Implementation_Class_Extension_Implementation_Class_Base_Class --
   -------------------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Implementation_Class_Extension_Implementation_Class_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MA_Standard_Profile_L2_Implementation_Class_Extension_Implementation_Class_Base_Class;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Metaclass_Extension_Metaclass_Base_Class --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Metaclass_Extension_Metaclass_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MA_Standard_Profile_L2_Metaclass_Extension_Metaclass_Base_Class;

   -----------------------------------------------------------
   -- MA_Standard_Profile_L2_Type_Extension_Type_Base_Class --
   -----------------------------------------------------------

   function MA_Standard_Profile_L2_Type_Extension_Type_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MA_Standard_Profile_L2_Type_Extension_Type_Base_Class;

   -----------------------------------------------------------------
   -- MA_Standard_Profile_L2_Utility_Extension_Utility_Base_Class --
   -----------------------------------------------------------------

   function MA_Standard_Profile_L2_Utility_Extension_Utility_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MA_Standard_Profile_L2_Utility_Extension_Utility_Base_Class;

   ------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Realization_Extension_Realization_Base_Classifier --
   ------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Realization_Extension_Realization_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MA_Standard_Profile_L2_Realization_Extension_Realization_Base_Classifier;

   ----------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Specification_Extension_Specification_Base_Classifier --
   ----------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Specification_Extension_Specification_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MA_Standard_Profile_L2_Specification_Extension_Specification_Base_Classifier;

   -------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Entity_Extension_Entity_Base_Component --
   -------------------------------------------------------------------

   function MA_Standard_Profile_L2_Entity_Extension_Entity_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MA_Standard_Profile_L2_Entity_Extension_Entity_Base_Component;

   -------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Implement_Extension_Implement_Base_Component --
   -------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Implement_Extension_Implement_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MA_Standard_Profile_L2_Implement_Extension_Implement_Base_Component;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Process_Extension_Process_Base_Component --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Process_Extension_Process_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MA_Standard_Profile_L2_Process_Extension_Process_Base_Component;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Service_Extension_Service_Base_Component --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Service_Extension_Service_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MA_Standard_Profile_L2_Service_Extension_Service_Base_Component;

   -------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Subsystem_Extension_Subsystem_Base_Component --
   -------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Subsystem_Extension_Subsystem_Base_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MA_Standard_Profile_L2_Subsystem_Extension_Subsystem_Base_Component;

   -----------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Framework_Extension_Framework_Base_Package --
   -----------------------------------------------------------------------

   function MA_Standard_Profile_L2_Framework_Extension_Framework_Base_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MA_Standard_Profile_L2_Framework_Extension_Framework_Base_Package;

   -------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Model_Library_Extension_Model_Library_Base_Package --
   -------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Model_Library_Extension_Model_Library_Base_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MA_Standard_Profile_L2_Model_Library_Extension_Model_Library_Base_Package;

   -----------------------------------------------------------
   -- MA_Standard_Profile_L2_Call_Extension_Call_Base_Usage --
   -----------------------------------------------------------

   function MA_Standard_Profile_L2_Call_Extension_Call_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MA_Standard_Profile_L2_Call_Extension_Call_Base_Usage;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Derive_Extension_Derive_Base_Abstraction --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Derive_Extension_Derive_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MA_Standard_Profile_L2_Derive_Extension_Derive_Base_Abstraction;

   ---------------------------------------------------------------
   -- MA_Standard_Profile_L2_Create_Extension_Create_Base_Usage --
   ---------------------------------------------------------------

   function MA_Standard_Profile_L2_Create_Extension_Create_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MA_Standard_Profile_L2_Create_Extension_Create_Base_Usage;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Refine_Extension_Refine_Base_Abstraction --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Refine_Extension_Refine_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MA_Standard_Profile_L2_Refine_Extension_Refine_Base_Abstraction;

   ----------------------------------------------------------------
   -- MA_Standard_Profile_L2_Derive_Extension_Derive_Computation --
   ----------------------------------------------------------------

   function MA_Standard_Profile_L2_Derive_Extension_Derive_Computation return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MA_Standard_Profile_L2_Derive_Extension_Derive_Computation;

   -------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Trace_Extension_Trace_Base_Abstraction --
   -------------------------------------------------------------------

   function MA_Standard_Profile_L2_Trace_Extension_Trace_Base_Abstraction return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MA_Standard_Profile_L2_Trace_Extension_Trace_Base_Abstraction;

   -------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Instantiate_Extension_Instantiate_Base_Usage --
   -------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Instantiate_Extension_Instantiate_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MA_Standard_Profile_L2_Instantiate_Extension_Instantiate_Base_Usage;

   ----------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Document_Extension_Document_Base_Artifact --
   ----------------------------------------------------------------------

   function MA_Standard_Profile_L2_Document_Extension_Document_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MA_Standard_Profile_L2_Document_Extension_Document_Base_Artifact;

   -------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Responsibility_Extension_Responsibility_Base_Usage --
   -------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Responsibility_Extension_Responsibility_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MA_Standard_Profile_L2_Responsibility_Extension_Responsibility_Base_Usage;

   --------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Executable_Extension_Executable_Base_Artifact --
   --------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Executable_Extension_Executable_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MA_Standard_Profile_L2_Executable_Extension_Executable_Base_Artifact;

   -----------------------------------------------------------
   -- MA_Standard_Profile_L2_Send_Extension_Send_Base_Usage --
   -----------------------------------------------------------

   function MA_Standard_Profile_L2_Send_Extension_Send_Base_Usage return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MA_Standard_Profile_L2_Send_Extension_Send_Base_Usage;

   --------------------------------------------------------------
   -- MA_Standard_Profile_L2_File_Extension_File_Base_Artifact --
   --------------------------------------------------------------

   function MA_Standard_Profile_L2_File_Extension_File_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MA_Standard_Profile_L2_File_Extension_File_Base_Artifact;

   --------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Library_Extension_Library_Base_Artifact --
   --------------------------------------------------------------------

   function MA_Standard_Profile_L2_Library_Extension_Library_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MA_Standard_Profile_L2_Library_Extension_Library_Base_Artifact;

   ------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Script_Extension_Script_Base_Artifact --
   ------------------------------------------------------------------

   function MA_Standard_Profile_L2_Script_Extension_Script_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MA_Standard_Profile_L2_Script_Extension_Script_Base_Artifact;

   ------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Source_Extension_Source_Base_Artifact --
   ------------------------------------------------------------------

   function MA_Standard_Profile_L2_Source_Extension_Source_Base_Artifact return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MA_Standard_Profile_L2_Source_Extension_Source_Base_Artifact;

   ----------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Create_Extension_Create_Base_Behavioral_Feature --
   ----------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Create_Extension_Create_Base_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MA_Standard_Profile_L2_Create_Extension_Create_Base_Behavioral_Feature;

   ------------------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Destroy_Extension_Destroy_Base_Behavioral_Feature --
   ------------------------------------------------------------------------------

   function MA_Standard_Profile_L2_Destroy_Extension_Destroy_Base_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MA_Standard_Profile_L2_Destroy_Extension_Destroy_Base_Behavioral_Feature;

   ---------------------------------------------------------------------
   -- MA_Standard_Profile_L2_Auxiliary_Extension_Auxiliary_Base_Class --
   ---------------------------------------------------------------------

   function MA_Standard_Profile_L2_Auxiliary_Extension_Auxiliary_Base_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MA_Standard_Profile_L2_Auxiliary_Extension_Auxiliary_Base_Class;

   ----------------------------
   -- MB_Standard_Profile_L2 --
   ----------------------------

   function MB_Standard_Profile_L2 return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_Standard_Profile_L2;

   ----------------------------
   -- MB_Standard_Profile_L2 --
   ----------------------------

   function ML_Standard_Profile_L2 return AMF.Internals.AMF_Element is
   begin
      return Base + 180;
   end ML_Standard_Profile_L2;

end AMF.Internals.Tables.Standard_Profile_L2_Metamodel;
