------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2928 $ $Date: 2012-05-01 12:43:19 +0400 (Tue, 01 May 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.UML_Metamodel is

   pragma Preelaborate;

   function MM_UML_UML return AMF.Internals.CMOF_Element;

   function MC_UML_Aggregation_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Concurrency_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Connector_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Operator_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Sort return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Node_Ordering_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Direction_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Effect_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Pseudostate_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Transition_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Visibility_Kind return AMF.Internals.CMOF_Element;

   function MC_UML_Abstraction return AMF.Internals.CMOF_Element;
   function MC_UML_Accept_Call_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Action_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Action_Input_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Activity return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Edge return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Group return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Parameter_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Partition return AMF.Internals.CMOF_Element;
   function MC_UML_Actor return AMF.Internals.CMOF_Element;
   function MC_UML_Add_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Add_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Any_Receive_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Artifact return AMF.Internals.CMOF_Element;
   function MC_UML_Association return AMF.Internals.CMOF_Element;
   function MC_UML_Association_Class return AMF.Internals.CMOF_Element;
   function MC_UML_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Behavior_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Broadcast_Signal_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Central_Buffer_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Change_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Class return AMF.Internals.CMOF_Element;
   function MC_UML_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Clause return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Collaboration return AMF.Internals.CMOF_Element;
   function MC_UML_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MC_UML_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Comment return AMF.Internals.CMOF_Element;
   function MC_UML_Communication_Path return AMF.Internals.CMOF_Element;
   function MC_UML_Component return AMF.Internals.CMOF_Element;
   function MC_UML_Component_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Conditional_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Connectable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Connectable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MC_UML_Connector return AMF.Internals.CMOF_Element;
   function MC_UML_Connector_End return AMF.Internals.CMOF_Element;
   function MC_UML_Consider_Ignore_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Continuation return AMF.Internals.CMOF_Element;
   function MC_UML_Control_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Control_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Link_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Data_Store_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Data_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Decision_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Dependency return AMF.Internals.CMOF_Element;
   function MC_UML_Deployed_Artifact return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment_Target return AMF.Internals.CMOF_Element;
   function MC_UML_Destroy_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Destroy_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Destruction_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Device return AMF.Internals.CMOF_Element;
   function MC_UML_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MC_UML_Duration return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Element_Import return AMF.Internals.CMOF_Element;
   function MC_UML_Encapsulated_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Enumeration return AMF.Internals.CMOF_Element;
   function MC_UML_Enumeration_Literal return AMF.Internals.CMOF_Element;
   function MC_UML_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Exception_Handler return AMF.Internals.CMOF_Element;
   function MC_UML_Executable_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Environment return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Extend return AMF.Internals.CMOF_Element;
   function MC_UML_Extension return AMF.Internals.CMOF_Element;
   function MC_UML_Extension_End return AMF.Internals.CMOF_Element;
   function MC_UML_Extension_Point return AMF.Internals.CMOF_Element;
   function MC_UML_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Final_State return AMF.Internals.CMOF_Element;
   function MC_UML_Flow_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Fork_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Function_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Gate return AMF.Internals.CMOF_Element;
   function MC_UML_General_Ordering return AMF.Internals.CMOF_Element;
   function MC_UML_Generalization return AMF.Internals.CMOF_Element;
   function MC_UML_Generalization_Set return AMF.Internals.CMOF_Element;
   function MC_UML_Image return AMF.Internals.CMOF_Element;
   function MC_UML_Include return AMF.Internals.CMOF_Element;
   function MC_UML_Information_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Information_Item return AMF.Internals.CMOF_Element;
   function MC_UML_Initial_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Input_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Instance_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Instance_Value return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Operand return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Use return AMF.Internals.CMOF_Element;
   function MC_UML_Interface return AMF.Internals.CMOF_Element;
   function MC_UML_Interface_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Interruptible_Activity_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Interval_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Invocation_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Join_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Lifeline return AMF.Internals.CMOF_Element;
   function MC_UML_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Creation_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Destruction_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Boolean return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Integer return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Null return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Real return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_String return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Unlimited_Natural return AMF.Internals.CMOF_Element;
   function MC_UML_Loop_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Manifestation return AMF.Internals.CMOF_Element;
   function MC_UML_Merge_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Message return AMF.Internals.CMOF_Element;
   function MC_UML_Message_End return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Model return AMF.Internals.CMOF_Element;
   function MC_UML_Multiplicity_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Named_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Namespace return AMF.Internals.CMOF_Element;
   function MC_UML_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Operation return AMF.Internals.CMOF_Element;
   function MC_UML_Operation_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Output_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Package return AMF.Internals.CMOF_Element;
   function MC_UML_Package_Import return AMF.Internals.CMOF_Element;
   function MC_UML_Package_Merge return AMF.Internals.CMOF_Element;
   function MC_UML_Packageable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Set return AMF.Internals.CMOF_Element;
   function MC_UML_Parameterable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Part_Decomposition return AMF.Internals.CMOF_Element;
   function MC_UML_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Port return AMF.Internals.CMOF_Element;
   function MC_UML_Primitive_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Profile return AMF.Internals.CMOF_Element;
   function MC_UML_Profile_Application return AMF.Internals.CMOF_Element;
   function MC_UML_Property return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_Conformance return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_State_Machine return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MC_UML_Pseudostate return AMF.Internals.CMOF_Element;
   function MC_UML_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MC_UML_Raise_Exception_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Self_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Reception return AMF.Internals.CMOF_Element;
   function MC_UML_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MC_UML_Reduce_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Relationship return AMF.Internals.CMOF_Element;
   function MC_UML_Remove_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Remove_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Reply_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Sequence_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Signal return AMF.Internals.CMOF_Element;
   function MC_UML_Signal_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Slot return AMF.Internals.CMOF_Element;
   function MC_UML_Start_Classifier_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Start_Object_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_State return AMF.Internals.CMOF_Element;
   function MC_UML_State_Invariant return AMF.Internals.CMOF_Element;
   function MC_UML_State_Machine return AMF.Internals.CMOF_Element;
   function MC_UML_Stereotype return AMF.Internals.CMOF_Element;
   function MC_UML_String_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Structural_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Substitution return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Binding return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Signature return AMF.Internals.CMOF_Element;
   function MC_UML_Templateable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Transition return AMF.Internals.CMOF_Element;
   function MC_UML_Trigger return AMF.Internals.CMOF_Element;
   function MC_UML_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Typed_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Usage return AMF.Internals.CMOF_Element;
   function MC_UML_Use_Case return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Variable return AMF.Internals.CMOF_Element;
   function MC_UML_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Vertex return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Variable_Action return AMF.Internals.CMOF_Element;

   function MP_UML_Abstraction_Mapping return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Call_Action_Return_Information return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Is_Unmarshall return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Is_Locally_Reentrant return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Local_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Local_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Execution_Specification_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Input_Pin_From_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Is_Single_Execution return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Interrupts return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Redefined_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Weight return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Contained_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Contained_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_In_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Subgroup return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Super_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Interruptible_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Incoming return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Outgoing return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Redefined_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Parameter_Node_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Is_Dimension return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Is_External return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Represents return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Subpartition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Super_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Structural_Feature_Value_Action_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Structural_Feature_Value_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Variable_Value_Action_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Variable_Value_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_File_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Manifestation return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Nested_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Association_End_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Is_Derived return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Member_End return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Navigable_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Is_Reentrant return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Owned_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Redefined_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Execution_Specification_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Concurrency return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Method return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Owned_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Raised_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Classifier_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Interface_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Owned_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Broadcast_Signal_Action_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Action_Is_Synchronous return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Behavior_Action_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Event_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Operation_Action_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Operation_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Change_Event_Change_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Is_Active return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Nested_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Reception return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Super_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_General return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Generalization return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Inherited_Member return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Is_Final_Specialization return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Owned_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Owned_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Powertype_Extent return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Redefined_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Representation return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Allow_Substitutable return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Constraining_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Body_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Decider return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Predecessor_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Successor_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Test return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Association_Action_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Association_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Collaboration_Role return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Use_Role_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Use_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Cfragment_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Interaction_Operator return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_Comment_Annotated_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Comment_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Is_Indirectly_Instantiated return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Packaged_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Provided return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Required return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization_Realizing_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Is_Assured return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Is_Determinate return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_End return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_Entry return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_Exit return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_State return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Redefined_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Defining_End return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Part_With_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Role return AMF.Internals.CMOF_Element;
   function MP_UML_Consider_Ignore_Fragment_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Constrained_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Continuation_Setting return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Link_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Object_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Data_Type_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Data_Type_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Decision_Node_Decision_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Decision_Node_Decision_Input_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Dependency_Client return AMF.Internals.CMOF_Element;
   function MP_UML_Dependency_Supplier return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Configuration return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Deployed_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Deployment return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Deployment_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Execution_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Target_Deployed_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Target_Deployment return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Is_Destroy_Links return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Is_Destroy_Owned_Objects return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Directed_Relationship_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Directed_Relationship_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Expr return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Constraint_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owned_Comment return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owned_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owner return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Alias return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Imported_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Encapsulated_Classifier_Owned_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Owned_Literal return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Literal_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Literal_Enumeration return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Exception_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Exception_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Handler_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Protected_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Executable_Node_Handler return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Occurrence_Specification_Execution return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Specification_Finish return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Specification_Start return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Node_Region_As_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Node_Region_As_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Input_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Mode return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Output_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Expression_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_Expression_Symbol return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extended_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extension_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Is_Required return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Metaclass return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_End_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_End_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Point_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Feature_Is_Static return AMF.Internals.CMOF_Element;
   function MP_UML_General_Ordering_After return AMF.Internals.CMOF_Element;
   function MP_UML_General_Ordering_Before return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_General return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Generalization_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Is_Substitutable return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Specific return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Generalization return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Is_Covering return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Is_Disjoint return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Powertype return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Content return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Format return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Include_Addition return AMF.Internals.CMOF_Element;
   function MP_UML_Include_Including_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Conveyed return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Information_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Information_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Item_Represented return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Slot return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Value_Instance return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Formal_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Lifeline return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Constraint_Maxint return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Constraint_Minint return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Enclosing_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Enclosing_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_General_Ordering return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Operand_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Operand_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Actual_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Refers_To return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Return_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Return_Value_Recipient return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Nested_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Reception return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Protocol return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Redefined_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Realization_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Realization_Implementing_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Interruptible_Activity_Region_Interrupting_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Interruptible_Activity_Region_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Invocation_Action_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_Invocation_Action_On_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Join_Node_Is_Combine_Duplicate return AMF.Internals.CMOF_Element;
   function MP_UML_Join_Node_Join_Spec return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Covered_By return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Decomposed_As return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Represents return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Selector return AMF.Internals.CMOF_Element;
   function MP_UML_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_Action_Input_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Creation_Data_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Creation_Data_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_End return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Destruction_Data_Destroy_At return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Destruction_Data_Is_Destroy_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Boolean_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Integer_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Real_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_String_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Unlimited_Natural_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Body_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Body_Part return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Decider return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Is_Tested_First return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Loop_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Loop_Variable_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Setup_Part return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Test return AMF.Internals.CMOF_Element;
   function MP_UML_Manifestation_Utilized_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Message_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Message_Sort return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Receive_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Send_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Message_End_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Model_Viewpoint return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Is_Unique return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Lower_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Upper return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Upper_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Client_Dependency return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Name_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Qualified_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Element_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Imported_Member return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Member return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Owned_Member return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Owned_Rule return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Package_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Node_Nested_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Is_Multicast return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Is_Multireceive return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Selection return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Transformation return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_In_State return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Is_Control_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Ordering return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Selection return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Upper_Bound return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_To_After return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_To_Before return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Input_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Output_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Behavior_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Behavior_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Body_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Datatype return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Query return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Unique return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Raised_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Redefined_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Upper return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Package_URI return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Nested_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Nesting_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Owned_Stereotype return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Owned_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Package_Merge return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Packaged_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Profile_Application return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Imported_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Merge_Merged_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Packageable_Element_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Default_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Direction return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Effect return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Is_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Is_Stream return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Set_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Set_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Parameterable_Element_Owning_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Parameterable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Pin_Is_Control return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Conjugated return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Service return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Protocol return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Provided return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Redefined_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Required return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Metaclass_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Metamodel_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Applied_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Applying_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Is_Strict return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Aggregation return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Association_End return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Datatype return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Default_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Composite return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Derived return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Derived_Union return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_ID return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Opposite return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Owning_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Redefined_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Subsetted_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Conformance_General_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Conformance_Specific_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_State_Machine_Conformance return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Post_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Pre_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Referred return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_State return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_Qualifier_Value_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_Qualifier_Value_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Raise_Exception_Action_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Extent_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Extent_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Is_Direct return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_End return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Self_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Variable_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Reception_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_New_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Old_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Is_Leaf return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Redefined_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Extended_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Inherited_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Collection return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Reducer return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Extended_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Region_State return AMF.Internals.CMOF_Element;
   function MP_UML_Region_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Subvertex return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Relationship_Related_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Structural_Feature_Value_Action_Is_Remove_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Structural_Feature_Value_Action_Remove_At return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Variable_Value_Action_Is_Remove_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Variable_Value_Action_Remove_At return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Reply_To_Call return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Reply_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Return_Information return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Object_Action_Request return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Object_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Signal_Action_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Signal_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Sequence_Node_Executable_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Signal_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Signal_Event_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Defining_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Owning_Instance return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Start_Classifier_Behavior_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Start_Object_Behavior_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_State_Connection return AMF.Internals.CMOF_Element;
   function MP_UML_State_Connection_Point return AMF.Internals.CMOF_Element;
   function MP_UML_State_Deferrable_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_State_Do_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_State_Entry return AMF.Internals.CMOF_Element;
   function MP_UML_State_Exit return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Composite return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Orthogonal return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Simple return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Submachine_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Redefined_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_State_Region return AMF.Internals.CMOF_Element;
   function MP_UML_State_State_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_State_Submachine return AMF.Internals.CMOF_Element;
   function MP_UML_State_Invariant_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_State_Invariant_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Connection_Point return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Extended_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Region return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Submachine_State return AMF.Internals.CMOF_Element;
   function MP_UML_Stereotype_Icon return AMF.Internals.CMOF_Element;
   function MP_UML_Stereotype_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_String_Expression_Owning_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_String_Expression_Sub_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Action_Structural_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Must_Isolate return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Structured_Node_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Structured_Node_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Owned_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Part return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Role return AMF.Internals.CMOF_Element;
   function MP_UML_Substitution_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_Substitution_Substituting_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Bound_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Owned_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Owned_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Actual return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Formal return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Owned_Actual return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Template_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Template return AMF.Internals.CMOF_Element;
   function MP_UML_Templateable_Element_Owned_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Templateable_Element_Template_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_First return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_Second return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Constraint_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Event_Is_Relative return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Event_When return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Expression_Expr return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Expression_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Observation_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Observation_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Container return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Effect return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Redefined_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_Trigger_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Trigger_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Type_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Typed_Element_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Unmarshall_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Extend return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Extension_Point return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Include return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Subject return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Pin_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Specification_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Specification_Action_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Activity_Scope return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Scope return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Action_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Container return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Incoming return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Outgoing return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Structural_Feature_Action_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Variable_Action_Value return AMF.Internals.CMOF_Element;

   function MA_UML_Value_Specification_Value_Value_Pin return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Value_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Value_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Value_Write_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Variable_Variable_Activity_Scope return AMF.Internals.CMOF_Element;
   function MA_UML_Variable_Variable_Scope return AMF.Internals.CMOF_Element;
   function MA_UML_Variable_Variable_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Weight_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Expression_When_Time_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Action_Action_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Action_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Gate_Actual_Gate_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Actual_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Addition_Include return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Annotated_Element_Comment return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Applied_Profile_Profile_Application return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Argument_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Argument_Invocation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Argument_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Association_Association_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Attribute_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Occurrence_Specification_Before_To_After return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Behavior_Behavior_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Behavior_Call_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Behavior_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Body_Condition_Body_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Body_Output_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Body_Output_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Body_Part_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Body_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Gate_Cfragment_Gate_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Change_Expression_Change_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Classifier_Behavior_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Classifier_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Enumeration_Classifier_Enumeration_Literal return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Classifier_Instance_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Classifier_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Classifier_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Template_Parameter_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Clause_Conditional_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Dependency_Client_Dependency_Client return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_Collaboration_Role_Collaboration return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Use_Collaboration_Use_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Collection_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Condition_Extend return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Condition_Parameter_Set return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Specification_Configuration_Deployment return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_Conformance_Conformance_Specific_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_Template_Parameter_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Pseudostate_Connection_Point_State return AMF.Internals.CMOF_Element;
   function MA_UML_Pseudostate_Connection_Point_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Connection_Point_Reference_Connection_State return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Connector_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Constrained_Element_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Constraining_Classifier_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Contained_Edge_In_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Contained_Node_In_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Context_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Behaviored_Classifier_Context_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Contract_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Contract_Interface_Realization return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Contract_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Conveyed_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Covered_Covered_By return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Covered_Events return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Covered_State_Invariant return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Decider_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Decider_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Flow_Decision_Input_Flow_Decision_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Decision_Input_Decision_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Part_Decomposition_Decomposed_As_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Default_Value_Owning_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Default_Value_Owning_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Default_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Deferrable_Trigger_State return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Defining_End_Connector_End return AMF.Internals.CMOF_Element;
   function MA_UML_Structural_Feature_Defining_Feature_Slot return AMF.Internals.CMOF_Element;
   function MA_UML_Deployed_Artifact_Deployed_Artifact_Deployment return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Deployed_Element_Deployment_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Deployment_Location return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Destroy_At_Link_End_Destruction_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Do_Activity_State return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Edge_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Edge_In_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Edge_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Effect_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Import_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Creation_Data_End_Data_Create_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Destruction_Data_End_Data_Destroy_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Data_End_Data_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Type_End_Type_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_End_End_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Property_End_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Property_End_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_End_End_Role return AMF.Internals.CMOF_Element;
   function MA_UML_Pseudostate_Entry_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Entry_State return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Event_Duration_Observation return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Event_Time_Observation return AMF.Internals.CMOF_Element;
   function MA_UML_Event_Event_Trigger return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Node_Exception_Input_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Exception_Type_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Exception_Raise_Exception_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Executable_Node_Sequence_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Execution_Specification_Execution_Execution_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Pseudostate_Exit_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Exit_State return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Expr_Duration return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Expr_Time_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Extend_Extend_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Extended_Case_Extend return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Extended_Region_Region return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Template_Signature_Extended_Signature_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_State_Machine_Extended_State_Machine_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_Point_Extension_Location_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_Point_Extension_Point_Use_Case return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_Extension_Metaclass return AMF.Internals.CMOF_Element;
   function MA_UML_Feature_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Occurrence_Specification_Finish_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_First_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Gate_Formal_Gate_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Formal_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Fragment_Fragment_Enclosing_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Fragment_Fragment_Enclosing_Operand return AMF.Internals.CMOF_Element;
   function MA_UML_Action_From_Action_Action_Input_Pin return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_State_Machine_General_Machine_Protocol_Conformance return AMF.Internals.CMOF_Element;
   function MA_UML_General_Ordering_General_Ordering_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_General_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_General_Generalization return AMF.Internals.CMOF_Element;
   function MA_UML_Generalization_Set_Generalization_Set_Generalization return AMF.Internals.CMOF_Element;
   function MA_UML_Generalization_Generalization_Specific return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_Group_In_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Guard_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Constraint_Guard_Interaction_Operand return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Guard_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Handler_Body_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Exception_Handler_Handler_Protected_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Image_Icon_Stereotype return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Imported_Element_Element_Import return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Imported_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Imported_Package_Package_Import return AMF.Internals.CMOF_Element;
   function MA_UML_Interruptible_Activity_Region_In_Interruptible_Region_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_In_Partition_Node return AMF.Internals.CMOF_Element;
   function MA_UML_State_In_State_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Include_Include_Including_Case return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Incoming_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Incoming_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Information_Source_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Information_Target_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Inherited_Member_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Inherited_Parameter_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Expansion_Node_Input_Element_Region_As_Input return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Input_Value_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Input_Value_Opaque_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Input_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Insert_At_Add_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Insert_At_Add_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Insert_At_Link_End_Creation_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Instance_Specification_Instance_Instance_Value return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Realization_Interface_Realization_Implementing_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Interrupting_Edge_Interrupts return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Invariant_State_Invariant return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Join_Spec_Join_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Lifeline_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Local_Postcondition_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Local_Precondition_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Loop_Variable_Input_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Loop_Variable_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Lower_Value_Owning_Lower return AMF.Internals.CMOF_Element;
   function MA_UML_Manifestation_Manifestation_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Opaque_Expression_Mapping_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Max_Duration_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Max_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Expression_Max_Time_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Maxint_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Member_End_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Member_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Merged_Package_Package_Merge return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Message_Consider_Ignore_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Message_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Message_Message_End return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Import_Metaclass_Reference_Profile return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Import_Metamodel_Reference_Profile return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Method_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Min_Duration_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Min_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Expression_Min_Time_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Minint_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_String_Expression_Name_Expression_Named_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Navigable_Owned_End_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Artifact_Nested_Artifact_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Nested_Classifier_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Nested_Classifier_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Node_Nested_Node_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Nested_Package_Nesting_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_New_Classifier_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Node_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Node_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Start_Classifier_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Start_Object_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Object_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Observation_Observation_Duration return AMF.Internals.CMOF_Element;
   function MA_UML_Observation_Observation_Time_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Old_Classifier_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Port_On_Port_Invocation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Operand_Operand_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Operand_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Operation_Call_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Operation_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Template_Parameter_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Opposite_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Outgoing_Source return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Outgoing_Source return AMF.Internals.CMOF_Element;
   function MA_UML_Expansion_Node_Output_Element_Region_As_Output return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Output_Value_Opaque_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Output_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Owned_Actual_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Datatype return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Owning_Signal return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_Attribute_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Owned_Behavior_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Comment_Owned_Comment_Owning_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Owned_Connector_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Owned_Default_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Owned_Element_Owner return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_End_Owned_End_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Owned_End_Owning_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Enumeration_Literal_Owned_Literal_Enumeration return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Owned_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Owned_Operation_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Owned_Operation_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Owned_Operation_Datatype return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Owned_Operation_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Set_Owned_Parameter_Set_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Set_Owned_Parameter_Set_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Owned_Parameter_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Owned_Parameter_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Owned_Parameter_Owner_Formal_Param return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Owned_Parameter_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Owned_Parametered_Element_Owning_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Owned_Port_Encapsulated_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Reception_Owned_Reception_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Reception_Owned_Reception_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Owned_Rule_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Stereotype_Owned_Stereotype_Owning_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Template_Signature_Owned_Template_Signature_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Signature_Owned_Template_Signature_Template return AMF.Internals.CMOF_Element;
   function MA_UML_Type_Owned_Type_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Owned_Use_Case_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Import_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Merge_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Packaged_Element_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Packaged_Element_Owning_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Set_Parameter_Set_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Substitution_Parameter_Substitution_Template_Binding return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Parameter_Activity_Parameter_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Parameter_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Parameterable_Element_Parametered_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Part_With_Port_Connector_End return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Part_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Partition_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Port_Trigger return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Post_Condition_Owning_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Postcondition_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Postcondition_Post_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Generalization_Set_Powertype_Extent_Powertype return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Pre_Condition_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Precondition_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Precondition_Pre_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Predecessor_Clause_Successor_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Application_Profile_Application_Applying_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Profile_Stereotype return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_State_Machine_Protocol_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_State_Machine_Protocol_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Provided_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Provided_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Qualifier_Association_End return AMF.Internals.CMOF_Element;
   function MA_UML_Qualifier_Value_Qualifier_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Qualifier_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Qualifier_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Type_Raised_Exception_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MA_UML_Type_Raised_Exception_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Realization_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Relationship_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Realizing_Activity_Edge_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Realizing_Classifier_Component_Realization return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Realizing_Connector_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Realizing_Message_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Message_End_Receive_Event_End_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Redefined_Behavior_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefined_Classifier_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Redefined_Connector_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Redefined_Edge_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Element_Redefined_Element_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Redefined_Interface_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Redefined_Node_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Redefined_Operation_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Redefined_Port_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Redefined_Property_Property return AMF.Internals.CMOF_Element;
   function MA_UML_State_Redefined_State_State return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Redefined_Transition_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefinition_Context_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefinition_Context_Region return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefinition_Context_State return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefinition_Context_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Reducer_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Referred_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Refers_To_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Region_State return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Region_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Related_Element_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Remove_At_Remove_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Remove_At_Remove_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Reply_To_Call_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Reply_Value_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Use_Representation_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Represented_Representation return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Represents_Activity_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_Represents_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Request_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Required_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Required_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Call_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Clear_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Conditional_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Create_Link_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Result_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Self_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Read_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Result_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Return_Information_Accept_Call_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Return_Information_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Return_Value_Recipient_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Return_Value_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Dependency_Role_Binding_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_Role_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Second_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Selection_Object_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Selection_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Selector_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Message_End_Send_Event_End_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Setup_Part_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Signal_Broadcast_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Signal_Reception return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Signal_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Signal_Signal_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Signature_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Signature_Signature_Template_Binding return AMF.Internals.CMOF_Element;
   function MA_UML_Slot_Slot_Owning_Instance return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Source_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Interval_Specification_Duration_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Interval_Specification_Interval_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Specification_Owning_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Specification_Owning_Instance_Spec return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Interval_Specification_Time_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Occurrence_Specification_Start_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_State_Invariant_Owning_State return AMF.Internals.CMOF_Element;
   function MA_UML_Structural_Feature_Structural_Feature_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Structured_Node_Input_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Output_Pin_Structured_Node_Output_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Structured_Node_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_String_Expression_Sub_Expression_Owning_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_Subgroup_Super_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Subject_Use_Case return AMF.Internals.CMOF_Element;
   function MA_UML_State_Submachine_State_Submachine return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Subpartition_Super_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Subsetted_Property_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Substitution_Substitution_Substituting_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Vertex_Subvertex_Container return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Super_Class_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Supplier_Supplier_Dependency return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Target_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Target_Destroy_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Target_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Target_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Target_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Binding_Template_Binding_Bound_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Test_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Test_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_General_Ordering_To_Before_After return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Transformation_Object_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Transition_Container return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Trigger_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Trigger_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Type_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Association_Type_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Stereotype_Type_Extension_End return AMF.Internals.CMOF_Element;
   function MA_UML_Type_Type_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Type_Type_Typed_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Unmarshall_Type_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Upper_Bound_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Upper_Value_Owning_Upper return AMF.Internals.CMOF_Element;
   function MA_UML_Packageable_Element_Utilized_Element_Manifestation return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Value_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Value_Owning_Slot return AMF.Internals.CMOF_Element;
   function MA_UML_Input_Pin_Value_Qualifier_Value return AMF.Internals.CMOF_Element;

   function MB_UML return AMF.Internals.AMF_Element;

   function ML_UML return AMF.Internals.AMF_Element;

private

   Base : AMF.Internals.CMOF_Element := 0;

end AMF.Internals.Tables.UML_Metamodel;
